zipkin-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adrian Cole <adrianc...@apache.org>
Subject Re: Elasticsearch and versions
Date Thu, 02 May 2019 14:32:25 GMT
I've added the following note to our pending release notes on 2.13. Feel free to revise them!

Note on Elasticsearch support

Elastic's current support policy is latest major version (currently 7) and last minor (currently
6.7). This limits our ability to support you. For example, Elasticsearch's hadoop library
is currently broken for versions 2.x and 5.x making our dependencies job unable to work on
that range and also work on version 7.x.

Our next release will support Elasticsearch 7.x, but we have to drop Elasticsearch 2.x support.
Elasticsearch 5.x will be best efforts. We advise users to be current with Elastic's supported
version policy, to avoid being unable to upgrade Zipkin.

https://github.com/apache/incubator-zipkin/releases/tag/v2.13.0

On 2019/04/27 00:03:17, Adrian Cole <adrian.f.cole@gmail.com> wrote: 
> > What's the best way of communicating timelines of support?
> 
> I think we can use the following, but most important is the release notes
> * release notes
> * clarification in the README
> * note in LastMonthInZipkin
> * tweet
> * email the the not quite defunct old user mailing list
> 
> sg?
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@zipkin.apache.org
> For additional commands, e-mail: dev-help@zipkin.apache.org
> 
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@zipkin.apache.org
For additional commands, e-mail: dev-help@zipkin.apache.org


Mime
View raw message